---
- hosts: argo_clusters
  vars_files:
  - config.yml
  roles:
  - argo-cluster

- hosts: awm
  vars_files:
  - config.yml
  pre_tasks:
  - name: mkdir ./deploy for generated manifest
    file:
      path: deploy
      state: directory
  roles:
  - nats-dev
  - tf-backend-dev
  - awm-dev
  post_tasks:
  - name: Clone workflow definitions for providers
    import_tasks: tasks/clone_workflow_def.yml
  - name: Cleanup applied manifest and PVC
    import_tasks: tasks/cleanup_appiled_manifest.yml
  - name: Re-apply manifest
    shell: |
      kubectl apply -n {{AWM_NAMESPACE}} -f {{item}}
    register: kubectl_out
    changed_when: "'configured' in kubectl_out.stdout or 'created' in kubectl_out.stdout"
    with_items:
      - ./deploy/dev-nats.yml
      - ./deploy/dev-stan.yml
      - ./deploy/tf-pg-backend.yml
      - ./deploy/awm-configmap.yml
